> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memobase.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Buffer Ids

> Get processing buffer ids

Get the ids of the buffer for a specific user and buffer type. This endpoint returns buffer ids.


## OpenAPI

````yaml get /api/v1/users/buffer/capacity/{user_id}/{buffer_type}
openapi: 3.1.0
info:
  title: Memobase API
  summary: APIs for Memobase, a user memory system for LLM Apps
  version: 0.0.40
servers:
  - url: https://api.memobase.dev
  - url: https://api.memobase.cn
security:
  - BearerAuth: []
paths:
  /api/v1/users/buffer/capacity/{user_id}/{buffer_type}:
    get:
      tags:
        - buffer
      summary: Get Processing Buffer Ids
      description: Get processing buffer ids
      operationId: >-
        get_processing_buffer_ids_api_v1_users_buffer_capacity__user_id___buffer_type__get
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid4
              - type: string
                format: uuid5
            description: The ID of the user
            title: User Id
          description: The ID of the user
        - name: buffer_type
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/BlobType'
            description: The type of buffer to flush
          description: The type of buffer to flush
        - name: status
          in: query
          required: false
          schema:
            enum:
              - idle
              - processing
              - failed
              - done
            type: string
            description: The status of the buffer to get
            default: processing
            title: Status
          description: The status of the buffer to get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-code-samples:
        - lang: python
          source: >+
            # To use the Python SDK, install the package:

            # pip install memobase


            from memobase import MemoBaseClient

            from memobase.core.blob import BlobType


            client = MemoBaseClient(project_url='PROJECT_URL',
            api_key='PROJECT_TOKEN')


            user = client.get_user('user_id')

            blobs = user.buffer(BlobType.chat)

          label: Python
        - lang: go
          source: >+
            // To use the Go SDK, install the package:

            // go get
            github.com/memodb-io/memobase/src/client/memobase-go@latest


            import (
                "fmt"
                "log"

                "github.com/memodb-io/memobase/src/client/memobase-go/blob"
                "github.com/memodb-io/memobase/src/client/memobase-go/core"
            )


            func main() {
                projectURL := "YOUR_PROJECT_URL"
                apiKey := "YOUR_API_KEY"
                // Initialize the client
                client, err := core.NewMemoBaseClient(
                    projectURL,
                    apiKey,
                )
                if err != nil {
                    log.Fatalf("Failed to create client: %v", err)
                }

                // Get a user
                userID := "EXISTING_USER_ID" // Replace with an actual user ID
                user, err := client.GetUser(userID, false)
                if err != nil {
                    log.Fatalf("Failed to get user: %v", err)
                }

                // Get buffer capacity
                blobIDs, err := user.Buffer(blob.ChatType, "processing")
                if err != nil {
                    log.Fatalf("Failed to get buffer capacity: %v", err)
                }
                fmt.Printf("Found %d blobs in buffer
            ", len(blobIDs))

            }

          label: Go
components:
  schemas:
    BlobType:
      type: string
      enum:
        - chat
        - summary
        - doc
        - image
        - code
        - transcript
      title: BlobType
    IdsResponse:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/IdsData'
            - type: 'null'
          description: Response containing multiple IDs
        errno:
          $ref: '#/components/schemas/CODE'
          description: Error code, 0 means success
          default: 0
        errmsg:
          type: string
          title: Errmsg
          description: Error message, empty when success
          default: ''
      type: object
      title: IdsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IdsData:
      properties:
        ids:
          items:
            anyOf:
              - type: string
                format: uuid4
              - type: string
                format: uuid5
          type: array
          title: Ids
          description: List of UUID identifiers
      type: object
      required:
        - ids
      title: IdsData
    CODE:
      type: integer
      enum:
        - 0
        - 400
        - 401
        - 403
        - 404
        - 405
        - 409
        - 422
        - 500
        - 501
        - 502
        - 503
        - 504
        - 520
      title: CODE
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````